Update Authorization

For a member who has not yet accessed the organization, user_name and usage details in the response are null.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

API Library Examples

from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')

obj = {
  "authorization": {
    "organization_id": "organization-id-from-get-user",
    "note": "Updated Authorization"
  }
}

authorization = fulcrum.authorizations.update('{id}', obj)
print(authorization['authorization']['id'] + ' has been updated!')
import { FulcrumClient, FulcrumRegion } from '@fulcrumapp/fulcrum-js';
const client = new FulcrumClient({
  apiKey: '{token}',
  // Use the region configured for your Fulcrum account.
  region: FulcrumRegion.US
});

const obj = {
  "organization_id": "organization-id-from-get-user",
  "note": "Updated Authorization"
};

client.authorizations.update('{id}', { authorizationRequest: { authorization: obj } })
  .then((response) => {
    console.log(response.data);
  })
  .catch((error) => {
    console.log(error.message);
  });
require 'fulcrum'

client = Fulcrum::Client.new('{token}')

authorization = {
  "organization_id"=>"organization-id-from-get-user",
  "note"=>"Updated Authorization"
};

response = client.authorizations.update('{id}', authorization)

puts response['id'] + ' has been updated!'
Path Params
string
required

Authorization ID

Body Params
authorization
object
required
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json